HansonStatics.OCTAVE_INERVAL

hanson

## Enum HansonStatics.OCTAVE_INERVAL

- java.lang.Object
- - java.lang.Enum<HansonStatics.OCTAVE_INERVAL>
  - - hanson.HansonStatics.OCTAVE_INERVAL

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HansonStatics.OCTAVE_INERVAL>
  Enclosing class:
    HansonStatics

      public static enum HansonStatics.OCTAVE_INERVAL
      extends java.lang.Enum<HansonStatics.OCTAVE_INERVAL>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `a`
    `e`
    `i`
    `o`
    `u`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HansonStatics.OCTAVE_INERVAL` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HansonStatics.OCTAVE_INERVAL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### a

          public static final HansonStatics.OCTAVE_INERVAL a

    - #### e

          public static final HansonStatics.OCTAVE_INERVAL e

    - #### i

          public static final HansonStatics.OCTAVE_INERVAL i

    - #### o

          public static final HansonStatics.OCTAVE_INERVAL o

    - #### u

          public static final HansonStatics.OCTAVE_INERVAL u

  - ### Method Detail

    - #### values

          public static HansonStatics.OCTAVE_INERVAL[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HansonStatics.OCTAVE_INERVAL c : HansonStatics.OCTAVE_INERVAL.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HansonStatics.OCTAVE_INERVAL valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null